<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});
Route::post('/v1/user/registration', 'RegistrationController@store');
Route::get('/v1/user/getDetails/{id}', 'LoginController@view');
Route::get('/v1/user/notification', 'NotificationController@index');
Route::get('/v1/user/faq', 'FAQController@index');
Route::get('/v1/user/news', 'NewsController@index');
Route::get('/v1/user/downloads', 'DownloadsController@index');
Route::get('/v1/user/schemes', 'SchemeController@index');
Route::get('/v1/user/relation', 'RelationController@index');
Route::post('/v1/user/saveQuery', 'QueryController@store');
Route::get('/v1/user/listQueryType', 'QueryTypeController@index');
Route::get('/v1/user/listQuery/{id}', 'QueryController@index');
Route::post('/v1/user/saveQueryReply', 'QueryReplyController@store');
Route::get('/v1/user/listQueryReply/{id}', 'QueryReplyController@index');